------------------------------------------------------------------------------------
--Name:  	juqing2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-02-27
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(277, 255)
CppScriptMgr:SetViewScale(200)
local Player_1 = CppScriptMgr:AddPlayer(495, 277, 255, "", 0, 0)
Player_1:SetDir(7)
local Player_2 = CppScriptMgr:QueryHero()
Player_2:SetPos(284, 262)
Player_2:SetDir(3)
Player_2:SetZoomPercent(150)
local effect_0 = CppScriptMgr:AddEffect("zf2-e233", 277, 255, 33, 1, 1, 1)
effect_0:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(330)
Player_1:SetAction(250)
CppScriptMgr:WaitMilSec(70)
local effect_2 = CppScriptMgr:AddEffect("zf2-e233_coat02", 277, 255, 33, 1, 1, 1)
effect_2:Scale(2, 2, 2)
CppScriptMgr:WaitMilSec(100)
ChangeNpcZoom(Player_1, 100, 60, 1, 33)
local effect_1 = CppScriptMgr:AddEffect("xuanyuan_skill4xh", 277, 255, 33, 1, 1, 1)
effect_1:Scale(0.8, 0.8, 0.8)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("Hmph! Surrender now!", 1500)
Player_2:SetAction(230)
CppScriptMgr:WaitMilSec(1490)
Player_1:SetAction(160)
Player_1:Say("You think catching me will end everything?", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_1:Say("Our people will continue this hunting game until there`s a winner!", 1500)
CppScriptMgr:WaitMilSec(2000)
Player_2:Say("There are more of you? How many are there?", 1500)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(1990)
Player_1:Say("Tick tock, you have 7 chances left. Stay scared and trembling until the game is over! Hahahaha!", 2500)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(4480)